Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Integration Accounts - Get Callback Url

Service:
Logic Apps
API Version:
2016-06-01

Gets the integration account callback URL.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/listCallbackUrl?api-version=2016-06-01

URI Parameters

Name In Required Type Description
integrationAccountName
path True

string

The integration account name.

resourceGroupName
path True

string

The resource group name.

subscriptionId
path True

string

The subscription id.

api-version
query True

string

The API version.

Request Body

Name Type Description
keyType

KeyType

The key type.

notAfter

string (date-time)

The expiry time.

Responses

Name Type Description
200 OK

CallbackUrl

OK

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get IntegrationAccount callback URL

Sample request

POST https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/listCallbackUrl?api-version=2016-06-01

{
 "notAfter": "2017-03-05T08:00:00Z",
 "keyType": "Primary"
}

Sample response

Status code:
200
{
 "value": "https://testprod-westus.logic.azure.com:443/integrationAccounts/ce41a499a1e64d95b874f5f14b4bf3b6?api-version=2015-08-01-preview&se=2017-03-17T07%3A00%3A00.0000000Z&sp=%2F%2F%2A&sv=1.0"
}

Definitions

Name Description
CallbackUrl

The callback url.

GetCallbackUrlParameters

The callback url parameters.

KeyType

CallbackUrl

Object

The callback url.

Name Type Description
value

string

The URL value.

GetCallbackUrlParameters

Object

The callback url parameters.

Name Type Description
keyType

KeyType

The key type.

notAfter

string (date-time)

The expiry time.

KeyType

Enumeration
Value Description
NotSpecified
Primary
Secondary